Error deleting Users
2008-08-13 15:31 - Simone Carletti

Status: Closed Start date: 2008-08-13
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour
Target version: 0.8

Resolution: Fixed Affected version: 0.7.3
Description

Although Redmine doesn't provide a User deletion feature | think this should not prevent destroy method to crash.

Destroying a user instance causes the following error:

>> User.find_by_login('user') .destroy

ActiveRecord::StatementInvalid: Mysqgl::Error: Unknown column 'projects.status' in 'where clause':

DELETE FROM “members® WHERE ((user_id = 5) AND (projects.status=1l))

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1lib/active_record/connection_adapters/

abstract_adapter.rb:150:in " log'

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1lib/active_record/connection_adapters/

mysql_adapter.rb:281:in ~execute'

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1lib/active_record/connection_adapters/

abstract/database_statements.rb:162:in “update_sqgl'

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1lib/active_record/connection_adapters/

mysqgl_adapter.rb:296:in “update_sqgl'

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1lib/active_record/connection_adapters/

abstract/database_statements.rb:167:1in “delete_sqgl'

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1lib/active_record/connection_adapters/

abstract/database_statements.rb:54:in “delete_without_query_dirty'

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1lib/active_record/connection_adapters/

abstract/query_cache.rb:19:in “delete'

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1lib/active_record/base.rb:715:in “dele

te_all'

from (eval):1l:in "“configure_dependency_for_has_many'

from /usr/lib/ruby/gems/1l.8/gems/activerecord-2.0.2/1lib/active_record/callbacks.
‘call!

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1ib/active_record/callbacks.
‘callback'

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1lib/active_record/callbacks.
‘each'

from /usr/lib/ruby/gems/1l.8/gems/activerecord-2.0.2/1lib/active_record/callbacks.
“callback!'

from /usr/lib/ruby/gems/1l.8/gems/activerecord-2.0.2/1lib/active_record/callbacks.

‘destroy_without_transactions'

rb

rb:

rb:

rb:

rb:

:311:in

311:in

304:in

304:in

294:1in

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1lib/active_record/transactions.rb:104:

in “destroy'

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1lib/active_record/connection_adapters/

abstract/database_statements.rb:66:in "transaction'

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1lib/active_record/transactions.rb:80:1

n “transaction'

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1lib/active_record/transactions.rb:100:

in “transaction'

from /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/1lib/active_record/transactions.rb:104:

in “destroy'
from (irb) :3>

Associated revisions

Revision 1755 - 2008-08-25 13:55 - Jean-Philippe Lang
Fixed: invalid SQL query on User#destroy (#1781).
History

#1 - 2008-08-25 13:53 - Jean-Philippe Lang
- Category set to Accounts / authentication

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Fixed in r1755. But as you mentioned, user deletion is not supported and should not be done.

2025-05-02 22


https://www.redmine.org/projects/redmine/repository/svn/revisions/1755
http://www.tcpdf.org

